Bug 429248 - Make lack of search results message more prominent
Summary: Make lack of search results message more prominent
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-11-17 15:50 UTC by Andres Betts
Modified: 2020-11-28 19:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andres Betts 2020-11-17 15:50:46 UTC
SUMMARY
When searching in Dolphin and no items have been found, Dolphin uses the status bar to communicate the information. While there is a message that communicates the result to the user, this message could be lost given that it happens away from the central view the user is at during search.

I suggest using a more prominent message in the search results pane that says "No items found". We follow this idea in other places in Plasma. It would do well in Dolphin as well. It would allow the user to understand quickly that the search operation stopped and no items were found in a location were the user's eyes are already placed.

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-11-17 20:30:41 UTC
Yeah typically in QML-based apps we put a big placeholder message in the center of the view when this happens. We could do the same thing in Dolphin with some custom drawing.

Might make sense to genericize this so that every empty view would say something like "empty folder" which could then be overridden for the search view to say "No items found". This would also allow us to implement Bug 426354.
Comment 2 Andres Betts 2020-11-17 22:28:44 UTC
(In reply to Nate Graham from comment #1)
> Yeah typically in QML-based apps we put a big placeholder message in the
> center of the view when this happens. We could do the same thing in Dolphin
> with some custom drawing.
> 
> Might make sense to genericize this so that every empty view would say
> something like "empty folder" which could then be overridden for the search
> view to say "No items found". This would also allow us to implement Bug
> 426354.

Yeah, makes sense.
Comment 3 Bug Janitor Service 2020-11-17 23:19:52 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/118
Comment 4 Elvis Angelaccio 2020-11-28 19:06:50 UTC
Git commit 78c7429a35c9bdbcdb76fd6304210237e5dbc2f5 by Elvis Angelaccio, on behalf of Nate Graham.
Committed on 28/11/2020 at 19:06.
Pushed by elvisangelaccio into branch 'master'.

Add placeholder text for empty views

Throughout our QML-based software, we now display placeholder text for
empty views so that the user knows that the view is actually empty, and
it's not that the software is just broken.

This commit introduces the same thing for Dolphin's main view.
Related: bug 426354
FIXED-IN: 21.04

M  +71   -1    src/views/dolphinview.cpp
M  +4    -0    src/views/dolphinview.h

https://invent.kde.org/system/dolphin/commit/78c7429a35c9bdbcdb76fd6304210237e5dbc2f5